import { CoreErrorCode } from './Error';
export declare class CompileError extends Error {
    type: CoreErrorCode;
    logId?: string;
    code?: number;
    advise?: string;
    constructor(message: string, code?: number, logId?: string, env?: string);
    normalize(env?: string): void;
    IPCFormat(): {
        type: CoreErrorCode;
        message: string;
        code: number | undefined;
        logId: string | undefined;
        stack: string | undefined;
        advise: string | undefined;
    };
}
export declare function isCompileError(err: unknown): err is CompileError;
